Name:    nde-admin
Summary: Nde system administration tool
Version: 0.0.1
Release: 2%{?dist}
License: LGPLv2+
URL:     http://www.gd-linux.com
Source0: %{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(nde)
BuildRequires:  desktop-file-utils
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  nde-build-tools
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qt5-linguist
BuildRequires:  pkgconfig(polkit-qt5-1)
BuildRequires:  libstatgrab-devel
Requires:       polkit

%description
This package provides tools to adjust settings of the operating system
Nde is running on. Both can be launched from GUI "Configuration Center".

GUI "Time and date configuration", binary nde-admin-time, can be used
to adjust the system time of the operating system as well as the timezone.

%package l10n
Summary:        Translations for nde-admin
Requires:       nde-admin
%description l10n
This package provides translations for the nde-admin package.

%prep
%autosetup -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
   %{cmake_nde} -DUSE_QT5=TRUE -DPULL_TRANSLATIONS=NO ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

for admfile in user time; do
desktop-file-edit \
    --remove-category=Nde --add-category=X-Nde \
    --remove-category=Help --add-category=X-Help \
    --remove-only-show-in=Nde --add-only-show-in=X-Nde \
    %{buildroot}%{_datadir}/applications/%{name}-${admfile}.desktop

%find_lang nde-admin-${admfile} --with-qt
done

%files
%license COPYING
%doc AUTHORS README.md
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/polkit-1/actions/*.policy

%files l10n -f nde-admin-user.lang -f nde-admin-time.lang
%license COPYING
%doc AUTHORS README.md
%dir %{_datadir}/nde/translations/nde-admin-user
%dir %{_datadir}/nde/translations/nde-admin-time

%changelog
* Wed Sep 02 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-2
- 应用居中显示

* Wed May 13 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- 组件重命名(984)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

